public class TestHotel
{
    public static void main(String[] args)
    {
        testSortBubble();
    }
    
    public static void testLoschen()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        hotel.testdaten();
        hotel.einfugen(14, 14);
        hotel.printHotel();           //25 12 19 22 5 9 7 30 30 30 9 12 0 5 14
        hotel.loschen(6);
        hotel.printHotel();           //25 12 19 22 5 9 30 30 30 9 12 0 5 14 0
        hotel.loschen(0);
        hotel.einfugen(14, 14);
        hotel.printHotel();           //12 19 22 5 9 30 30 30 9 12 0 5 14 0 14
        hotel.loschen(14);
        hotel.printHotel();           //12 19 22 5 9 30 30 30 9 12 0 5 14 0 0
        hotel.loschen(-1);            //ungültiger Tag
        hotel.loschen(15);            //ungültiger Tag
    }
    
    public static void testSortSelection()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        hotel.testdaten();            
        hotel.printHotel();           //25 12 19 22 5 9 7 30 30 30 9 12 0 5 0
        hotel.sortSelection();
        hotel.printHotel();           //0 12 19 22 5 9 7 30 30 30 9 12 25 5 0
    }
    
    public static void testSortBubble()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        hotel.testdaten();            
        hotel.printHotel();           //25 12 19 22 5 9 7 30 30 30 9 12 0 5 0
        hotel.sortBubble();
        hotel.printHotel();           //0 0 5 5 7 9 9 12 12 19 22 25 30 30 30
    }
    
    public static void testEinfugen2()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        hotel.testdaten();            
        hotel.printHotel();           //25 12 19 22 5 9 7 30 30 30 9 12 0 5 0
        hotel.einfugen(6, 15);
        hotel.printHotel();           //25 12 19 22 5 9 15 7 30 30 30 9 12 0 5
        hotel.einfugen(-1);           //ungültiger Tag!
        hotel.einfugen(15);           //ungültiger Tag!
        hotel.einfugen(0, 12);
        hotel.printHotel();           //12 25 12 19 22 5 9 15 7 30 30 30 9 12 0
        hotel.einfugen(3, 0);
        hotel.einfugen(14, 7);
        hotel.printHotel();           //12 25 12 0 19 22 5 9 15 7 30 30 30 9 7
        hotel.einfugen(3, -1);
        hotel.einfugen(3, 31);
    }
    
    public static void testEinfugen()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        hotel.testdaten();            
        hotel.printHotel();           //25 12 19 22 5 9 7 30 30 30 9 12 0 5 0
        hotel.einfugen(6);
        hotel.printHotel();           //25 12 19 22 5 9 0 7 30 30 30 9 12 0 5
        hotel.einfugen(-1);           //ungültiger Tag!
        hotel.einfugen(15);           //ungültiger Tag!
        hotel.einfugen(0);
        hotel.printHotel();           //0 25 12 19 22 5 9 0 7 30 30 30 9 12 0
        hotel.einfugen(3);
        hotel.einfugen(14);
        hotel.printHotel();           //0 25 12 0 19 22 5 9 0 7 30 30 30 9 0
    }
    
    public static void testStorno2()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        hotel.testdaten();            
        hotel.printHotel();           //25 12 19 22 5 9 7 30 30 30 9 12 0 5 0
        hotel.storno(2,4);
        hotel.printHotel();           //25 12 18 21 4 9 7 30 30 30 9 12 0 5 0
        hotel.storno(10,12);          //Fehler: keine Buchung vorhanden!
        hotel.printHotel();           //25 12 18 21 4 9 7 30 30 30 9 12 0 5 0
        hotel.storno(10, 2);          //Fehler: ungültiger Zeitraum!
        hotel.buchen(-1, 4);          //Fehler: ungültiger Tag!
        hotel.buchen(3, -1);          //Fehler: ungültiger Tag!
        hotel.buchen(3, 15);          //Fehler: ungültiger Tag!
        hotel.buchen(15, 5);          //Fehler: ungültiger Tag!
        hotel.printHotel();           //25 12 18 21 4 9 7 30 30 30 9 12 0 5 0
    } 
    
    public static void testStorno()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        hotel.testdaten();
        hotel.storno(6);
        hotel.storno(12);
        hotel.storno(-1);
        hotel.storno(15);
        hotel.printHotel();           //25 12 19 22 28 30 6 29 30 27 9 12 0 5 0
    } 

    public static void testBuchen3()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        hotel.testdaten();
        hotel.printHotel();           //25 12 19 22 5 9 7 30 30 30 9 12 0 5 0
        hotel.buchen(2,4,3);
        hotel.printHotel();           //25 12 22 25 8 9 7 30 30 30 9 12 0 5 0
        hotel.buchen(0,3,6);          //nicht frei
        hotel.printHotel();           //25 12 22 25 8 9 7 30 30 30 9 12 0 5 0
        hotel.buchen(10, 2, 4);       //Fehler: ungültiger Zeitraum!
        hotel.buchen(2, 4, 0);        //Fehler: ungültiger Anzahl!
        hotel.buchen(2, 4, 31);       //Fehler: ungültiger Anzahl!
        hotel.buchen(-1, 4, 2);       //Fehler: ungültiger Tag!
        hotel.buchen(3, -1, 2);       //Fehler: ungültiger Tag!
        hotel.buchen(3, 15, 2);       //Fehler: ungültiger Tag!
        hotel.buchen(15, 5, 2);       //Fehler: ungültiger Tag!
        hotel.printHotel();           //25 12 22 25 8 9 7 30 30 30 9 12 0 5 0
    }     
    
    public static void testBuchen2()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        hotel.testdaten();            //25 12 19 22 5 9 7 30 30 30 9 12 0 5 0
        hotel.buchen(2,4);
        hotel.printHotel();           //25 12 20 23 6 9 7 30 30 30 9 12 0 5 0
        hotel.buchen(4,8);
        hotel.printHotel();           //25 12 20 23 7 10 8 30 30 30 9 12 0 5 0
        hotel.buchen(10, 2);          //Fehler: ungültiger Zeitraum!
        hotel.buchen(-1, 4);          //Fehler: ungültiger Tag!
        hotel.buchen(3, -1);          //Fehler: ungültiger Tag!
        hotel.buchen(3, 15);          //Fehler: ungültiger Tag!
        hotel.buchen(15, 5);          //Fehler: ungültiger Tag!
        hotel.printHotel();           //25 12 20 23 7 10 8 30 30 30 9 12 0 5 0
    } 
    
    public static void testBuchen()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        hotel.testdaten();
        hotel.buchen(6);
        hotel.buchen(8);
        hotel.buchen(-1);
        hotel.buchen(15);
        hotel.printHotel();           //25 12 19 22 28 30 8 29 30 27 9 12 0 5 0
    } 
    
    public static void testTagHotelAllesFrei()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        System.out.println(hotel.tagHotelAllesFrei());         //0
        hotel.testdaten();
        System.out.println(hotel.tagHotelAllesFrei());         //12
        hotel.testdaten3();
        System.out.println(hotel.tagHotelAllesFrei());         //-1
    } 
    
    public static void testTagVollbelegt()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        System.out.println(hotel.tagVollbelegt());         //-1
        hotel.testdaten();
        System.out.println(hotel.tagVollbelegt());         //7
        hotel.testdaten2();
        System.out.println(hotel.tagVollbelegt());         //5
    } 
    
    public static void testTageUber80Prozent()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        System.out.println(hotel.tageUber80Prozent());     //0
        hotel.testdaten();
        System.out.println(hotel.tageUber80Prozent());     //4
    }  
    
    public static void testTageUnter50Prozent()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        System.out.println(hotel.tageUnter50Prozent());    //15
        hotel.testdaten();
        System.out.println(hotel.tageUnter50Prozent());    //9
    }    
    
    public static void testPrintHotelVerk()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        hotel.testdaten();
        hotel.printHotelVerk();
    }
    
    public static void testPrintHotel()
    {
        Hotel hotel;
        
        hotel = new Hotel();
        hotel.testdaten();
        hotel.printHotel();
    }
}
